Subject: Re: crash in ediff

From: Chong Yidong <[email-masked]>
Date: Fri, 01 Jan 2010 17:19:46 -0500

> Every so often, about once a week, my emacs session crashes while
> running ediff.  I'm enclosing a stack trace.  I will be running ediff
> comparing two directories.  The crash occurs when I'm in the buffer
> which lists pairs of files from the two directories.  I select the
> next pair to examine, and at the point emacs crashes.

> This is GNU Emacs 22.2.1 (i386-redhat-linux-gnu, GTK+ Version 2.12.9)
>  of 2008-05-23 on xenbuilder4.fedora.phx.redhat.com

Very sorry for the delay in responding.

Unfortunately, the stack trace you sent is not very informative.  If you
are still experiencing the problem, try running Emacs in a debugger and
getting a backtrace when the crash happens.  Depending on the backtrace,
we may be able to diagnose the problem.  However, we're not planning to
make any more 22.x releases.  We've fixed quite a lot of crash-related
bugs between emacs 22 and 23, so if you are experiencing stability
issues, you could try upgrading.